
Figure - Bug #118978
【AF】【EVT3】副屏音视频播放中，中控上禁音在解除禁音，副屏没有声音输出
2023-07-05 15:55 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-07-05

Priority: Normal Due date:

Assignee: 物联网测试组_TSCD 王维 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 中控版本：92��副屏版本：研发提供

Resolution: -- Degrated: --

Severity: Normal Verified Version: 0136

Reproducibility: Every time Fixed Version:

Test Type: Release Test Root cause:

Description

【前置条件】

副屏中控连接正常，中控网络正常

【测试步骤】

1.副屏在抖音/QQ音乐播放中

2.中控设置-声音-禁音，再解除禁音

【预期结果】

副屏播放抖音/QQ音乐，声音输出正常

【测试结果】

副屏抖音/QQ音乐无声音输出，在中控上播放音频后，副屏再播放声音恢复正常

History

#1 - 2023-07-06 14:11 - CD FW-廖涛

- Category changed from CD-FW to AUDIO-FW

- Status changed from New to ASSIGNED

- Assignee changed from CD FW-廖涛 to Multimedia组-RD3_TSCD 梁卿山

Hi，卿山：

麻烦帮忙看看，通过中控设置静音后再取消静音，副屏播放视频或音乐没有声音。副屏的系统是本地编译 fastboot 刷的，从日志与副屏系统表现看接收静

音设置正常。

注：这个问题目前只在我本地的设备出现过，先帮忙分析下，看看是什么原因。

#2 - 2023-07-26 15:42 - Multimedia组-RD3_TSCD 梁卿山

Hi ALL

当前分析：

从日志分析，抖音申请了焦点，并且设备通路正常；

mute的状态接收和执行也正常，

36942:07-05 14:59:50.870  1062  1918 I MediaFocusControl: requestAudioFocus() from uid/pid 10033/9112 AA=USAGE_MEDIA/CONTENT_TYPE_MUSIC

clientId=android.media.AudioManager@bc37b6bcom.ss.android.videoshop.kits.autopause.b@19856c8 callingPack=com.ss.android.article.video.landscape

req=1 flags=0x0 sdk=29

37138:07-05 14:59:51.231  1062  2445 D AudioIDCMicroNegotiator: idcm_af:requestIDCMicroAudioFocus,  streamtype = 3
37139:07-05 14:59:51.231  1062  2445 D AudioIDCMicroNegotiator: idcm_af:requestIDCMicroAudioFocus: Already has a audioFocus AudioFocus_Media

37140:07-05 14:59:51.231  1062  2445 D AudioIDCMicroNegotiator: idcm_af:updateAudioInfo

37164:07-05 14:59:51.245  1029  1299 D APM_AudioPolicyManager: startOutput() output 29, stream 3, session 329

37186:07-05 14:59:51.252   818  6021 D audio_hw_primary: select_devices for use case (deep-buffer-playback)

37215:07-05 14:59:51.253   818  6021 D audio_hw_primary: enable_snd_device: snd_device(2: speaker)

37318:07-05 14:59:51.317  1062  2445 D AudioIDCMicroNegotiator: idcm_common:request from IDCM:  method = setMute parameters =

{"functionInfo":{"IDCM_VolumeMute_Media":"mute_on"}}

37319:07-05 14:59:51.318  1062  2445 D AudioIDCMicroNegotiator: idcm_volume:onSetIDCMicroAudioMute mIsTimeout= false value = mute_on

isRequested=false

37320:07-05 14:59:51.318  1062  9546 D AS.AudioService: idcm_volume:onSetIDCMicroAudioMute: mute_on

37844:07-05 14:59:53.170  1062  2445 D AudioIDCMicroNegotiator: idcm_common:request from IDCM:  method = setMute parameters =

{"functionInfo":{"IDCM_VolumeMute_Media":"mute_off"}}

37845:07-05 14:59:53.170  1062  2445 D AudioIDCMicroNegotiator: idcm_volume:onSetIDCMicroAudioMute mIsTimeout= false value = mute_off

isRequested=false

37847:07-05 14:59:53.172  1062  9587 D AS.AudioService: idcm_volume:onSetIDCMicroAudioMute: mute_off

下一步：

请帮忙在新版本复现该问题，并获取QXDM日志。

#3 - 2023-08-01 16:49 - Multimedia组-RD3_TSCD 梁卿山

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to 物联网测试组_CDTS  唐霞 

#4 - 2023-08-01 17:54 - Multimedia组-RD3_TSCD 梁卿山

- Assignee changed from 物联网测试组_CDTS  唐霞  to 物联网测试组_TSCD 王维

#5 - 2023-08-03 18:03 - CD TPM-王祥林

- Status changed from ASSIGNED to NEED_INFO

#6 - 2023-08-23 15:05 - 物联网测试组_TSCD 王维

在以下版本按操作步骤执行测试验证未复现问题：

0133

0817DB

0136

#7 - 2023-08-23 15:06 - 物联网测试组_TSCD 王维

- Status changed from NEED_INFO to RESOLVED

经测试内部讨论可以关闭

#8 - 2023-08-23 15:06 - 物联网测试组_TSCD 王维

- Status changed from RESOLVED to VERIFIED

#9 - 2023-08-23 15:06 - 物联网测试组_TSCD 王维

- Status changed from VERIFIED to CLOSED

- Verified Version set to 0136
705.txt 5.1 MB 2023-07-05 物联网测试组_CDTS  唐霞 
